Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 945623002: Replace second set of #defines with templates in JS_Define.h (Closed)

Created:
5 years, 9 months ago by Tom Sepez
Modified:
5 years, 9 months ago
Reviewers:
brucedawson
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Replace second set of #defines with templates in JS_Define.h Continuation of effort now that a test case is present on origin/master. R=brucedawson@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/28ddd48bfd84c55cc51d0b16fa533c51affdeb5b

Patch Set 1 #

Total comments: 8

Patch Set 2 : Fix nits. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+106 lines, -150 lines) Patch
M fpdfsdk/include/javascript/JS_Define.h View 1 3 chunks +100 lines, -130 lines 0 comments Download
M fpdfsdk/include/jsapi/fxjs_v8.h View 4 chunks +6 lines, -20 lines 0 comments Download

Messages

Total messages: 6 (2 generated)
Tom Sepez
Bruce, more fun. Thanks.
5 years, 9 months ago (2015-02-20 00:19:12 UTC) #2
brucedawson
lgtm https://codereview.chromium.org/945623002/diff/1/fpdfsdk/include/javascript/JS_Define.h File fpdfsdk/include/javascript/JS_Define.h (left): https://codereview.chromium.org/945623002/diff/1/fpdfsdk/include/javascript/JS_Define.h#oldcode355 fpdfsdk/include/javascript/JS_Define.h:355: JS_Error(NULL,L"GetProperty", L"Embeded object not found!");\ Well that's a ...
5 years, 9 months ago (2015-02-20 23:52:40 UTC) #3
Tom Sepez
https://codereview.chromium.org/945623002/diff/1/fpdfsdk/include/javascript/JS_Define.h File fpdfsdk/include/javascript/JS_Define.h (left): https://codereview.chromium.org/945623002/diff/1/fpdfsdk/include/javascript/JS_Define.h#oldcode355 fpdfsdk/include/javascript/JS_Define.h:355: JS_Error(NULL,L"GetProperty", L"Embeded object not found!");\ On 2015/02/20 23:52:40, brucedawson ...
5 years, 9 months ago (2015-02-23 17:58:30 UTC) #5
Tom Sepez
5 years, 9 months ago (2015-02-23 18:03:18 UTC) #6
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
28ddd48bfd84c55cc51d0b16fa533c51affdeb5b (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698